package com.ruoyi.project.reliability.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.reliability.domain.TKkxglcs;

/**
 * 可靠性管理措施Mapper接口
 *
 * @author ruoyi
 * @date 2020-11-27
 */
public interface TKkxglcsMapper
{
    /**
     * 查询可靠性管理措施
     *
     * @param id 可靠性管理措施ID
     * @return 可靠性管理措施
     */
    public TKkxglcs selectTKkxglcsById(Long id);

    /**
     * 查询可靠性管理措施列表
     *
     * @param tKkxglcs 可靠性管理措施
     * @return 可靠性管理措施集合
     */
    @DataScope(deptAlias = "d")
    public List<TKkxglcs> selectTKkxglcsList(TKkxglcs tKkxglcs);

    /**
     * 新增可靠性管理措施
     *
     * @param tKkxglcs 可靠性管理措施
     * @return 结果
     */
    public int insertTKkxglcs(TKkxglcs tKkxglcs);

    /**
     * 修改可靠性管理措施
     *
     * @param tKkxglcs 可靠性管理措施
     * @return 结果
     */
    public int updateTKkxglcs(TKkxglcs tKkxglcs);

    /**
     * 删除可靠性管理措施
     *
     * @param id 可靠性管理措施ID
     * @return 结果
     */
    public int deleteTKkxglcsById(Long id);

    /**
     * 批量删除可靠性管理措施
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTKkxglcsByIds(Long[] ids);

    List<DataEntity> selectUrgencyData(Map param);

    List<DataEntity> selectStatusData(Map param);
}
